/* 
 *     This file is part of K14, the LCD controller.
 * 
 * Copyright (C) 2014 Dmitry Kobylin
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */
#ifndef _COMMAND_H_
#define _COMMAND_H_

#include <types.h>

enum command_interface_t {
    COMMAND_INTERFACE_SPI,
};

void command_init();
void command_process();
void command_reset();
void command_receive_cb(uint8 byte);
void command_set_iface(enum command_interface_t iface);
int command_send_data(uint8 *byte);

#endif /* !_COMMAND_H_ */

