#ifndef _GS_IMAGE_H
#define _GS_IMAGE_H

#include "gs.h"

/*
 *
 */
struct gs_raw_image_t {
#define BUILT_IN_IMAGE_MAGIC    0x4D49
#define BUILT_IN_IMAGE_VERSION  1
    uint16 magic;
    uint8 version;
    uint8 reserved;
    uint16 width;
    uint16 height;
    /* NOTE flexible array member */
    uint8 data[];
};

typedef uint8* (*gs_image_getdata_cb)(int *n, void *);

void gs_image_put(struct gs_layer_t *layer, int x, int y, int width, int height,
        union gs_pixel_t *tcolor, union gs_pixel_t *bgcolor,
        gs_image_getdata_cb cb, void *context);

void gs_image_put_built_in(struct gs_layer_t *layer, int x, int y,
        union gs_pixel_t *tcolor, union gs_pixel_t *bgcolor, void *data);

#endif

