#include <LPC177x_8x.h>
#include "irqp.h"

/*
 *
 */
void irqp_init()
{
    NVIC_SetPriorityRaw(WDT_IRQn          , LOWEST_IRQP);  /*!< Watchdog Timer Interrupt                         */
    NVIC_SetPriorityRaw(TIMER0_IRQn       , LOWEST_IRQP);  /*!< Timer0 Interrupt                                 */
    NVIC_SetPriorityRaw(TIMER1_IRQn       , LOWEST_IRQP);  /*!< Timer1 Interrupt                                 */
    NVIC_SetPriorityRaw(TIMER2_IRQn       , LOWEST_IRQP);  /*!< Timer2 Interrupt                                 */
    NVIC_SetPriorityRaw(TIMER3_IRQn       , LOWEST_IRQP);  /*!< Timer3 Interrupt                                 */
#if 0
    /* NOTE DPort */
    NVIC_SetPriorityRaw(UART0_IRQn        , LOWEST_IRQP);  /*!< UART0 Interrupt                                  */
#endif
    NVIC_SetPriorityRaw(UART1_IRQn        , LOWEST_IRQP);  /*!< UART1 Interrupt                                  */
    NVIC_SetPriorityRaw(UART2_IRQn        , LOWEST_IRQP);  /*!< UART2 Interrupt                                  */
    NVIC_SetPriorityRaw(UART3_IRQn        , LOWEST_IRQP);  /*!< UART3 Interrupt                                  */
    NVIC_SetPriorityRaw(PWM1_IRQn         , LOWEST_IRQP);  /*!< PWM1 Interrupt                                   */
    NVIC_SetPriorityRaw(I2C0_IRQn         , LOWEST_IRQP);  /*!< I2C0 Interrupt                                   */
    NVIC_SetPriorityRaw(I2C1_IRQn         , LOWEST_IRQP);  /*!< I2C1 Interrupt                                   */
    NVIC_SetPriorityRaw(I2C2_IRQn         , LOWEST_IRQP);  /*!< I2C2 Interrupt                                   */
    NVIC_SetPriorityRaw(SSP0_IRQn         , LOWEST_IRQP);  /*!< SSP0 Interrupt                                   */
    NVIC_SetPriorityRaw(SSP1_IRQn         , LOWEST_IRQP);  /*!< SSP1 Interrupt                                   */
    NVIC_SetPriorityRaw(PLL0_IRQn         , LOWEST_IRQP);  /*!< PLL0 Lock (Main PLL) Interrupt                   */
    NVIC_SetPriorityRaw(RTC_IRQn          , LOWEST_IRQP);  /*!< Real Time Clock Interrupt                        */
    NVIC_SetPriorityRaw(EINT0_IRQn        , LOWEST_IRQP);  /*!< External Interrupt 0 Interrupt                   */
    NVIC_SetPriorityRaw(EINT1_IRQn        , LOWEST_IRQP);  /*!< External Interrupt 1 Interrupt                   */
    NVIC_SetPriorityRaw(EINT2_IRQn        , LOWEST_IRQP);  /*!< External Interrupt 2 Interrupt                   */
    NVIC_SetPriorityRaw(EINT3_IRQn        , LOWEST_IRQP);  /*!< External Interrupt 3 Interrupt                   */
    NVIC_SetPriorityRaw(ADC_IRQn          , LOWEST_IRQP);  /*!< A/D Converter Interrupt                          */
    NVIC_SetPriorityRaw(BOD_IRQn          , LOWEST_IRQP);  /*!< Brown-Out Detect Interrupt                       */
    NVIC_SetPriorityRaw(USB_IRQn          , LOWEST_IRQP);  /*!< USB Interrupt                                    */
    NVIC_SetPriorityRaw(CAN_IRQn          , LOWEST_IRQP);  /*!< CAN Interrupt                                    */
    NVIC_SetPriorityRaw(DMA_IRQn          , LOWEST_IRQP);  /*!< General Purpose DMA Interrupt                    */
    NVIC_SetPriorityRaw(I2S_IRQn          , LOWEST_IRQP);  /*!< I2S Interrupt                                    */
    NVIC_SetPriorityRaw(ENET_IRQn         , LOWEST_IRQP);  /*!< Ethernet Interrupt                               */
    NVIC_SetPriorityRaw(MCI_IRQn          , LOWEST_IRQP);  /*!< SD/MMC card I/F Interrupt                        */
    NVIC_SetPriorityRaw(MCPWM_IRQn        , LOWEST_IRQP);  /*!< Motor Control PWM Interrupt                      */
    NVIC_SetPriorityRaw(QEI_IRQn          , LOWEST_IRQP);  /*!< Quadrature Encoder Interface Interrupt           */
    NVIC_SetPriorityRaw(PLL1_IRQn         , LOWEST_IRQP);  /*!< PLL1 Lock (USB PLL) Interrupt                    */
    NVIC_SetPriorityRaw(USBActivity_IRQn  , LOWEST_IRQP);  /*!< USB Activity interrupt                           */
    NVIC_SetPriorityRaw(CANActivity_IRQn  , LOWEST_IRQP);  /*!< CAN Activity interrupt                           */
    NVIC_SetPriorityRaw(UART4_IRQn        , LOWEST_IRQP);  /*!< UART4 Interrupt                                  */
    NVIC_SetPriorityRaw(SSP2_IRQn         , LOWEST_IRQP);  /*!< SSP2 Interrupt                                   */
    NVIC_SetPriorityRaw(LCD_IRQn          , LOWEST_IRQP);  /*!< LCD Interrupt                                    */
    NVIC_SetPriorityRaw(GPIO_IRQn         , LOWEST_IRQP);  /*!< GPIO Interrupt                                   */
    NVIC_SetPriorityRaw(PWM0_IRQn         , LOWEST_IRQP);  /*!< PWM0 Interrupt                                   */
    NVIC_SetPriorityRaw(EEPROM_IRQn       , LOWEST_IRQP);  /*!< EEPROM Interrupt                           */
}


