#!/bin/env lua

if #arg < 2 then
    print("Usage:")
    print("", arg[0] .. " <SRC_FILE> <DST_FILE>")
    print()
    print("DST_FILE can be '-' for standard output")
    print()

    os.exit(1)
end


inf  = io.open(arg[1], "rb")
if arg[2] == "-" then
else
    outf = io.open(arg[2], "wb")
    io.output(outf)
end

bytes = inf:read("*a")

io.write("static const char data[] = {\n    ")

for i = 1, #bytes do
    io.write("0x" ..  string.format("%02X", bytes:byte(i)) ..  ", ")
    if (i % 8) == 0 then
        io.write("\n    ")
    end
end

io.write("\n};\n\n")

inf:close()
if outf then
    outf:close()
end

