#!/bin/sh
#\
exec tclsh "$0" "$@"

if {$argc < 2} {
    puts stderr [join [list [file tail [info script]] {: Not enough arguments}] {}]
    exit 1
}

set FILE    [lindex $argv 0]
set OBJECTS [lrange $argv 1 end]

set fd [open $FILE r]
set data [split [read $fd] '\n']
close $fd

set nline [list]

set fd [open $FILE w]

foreach line $data {
    set line [string trimright $line {\\ }]
    if {[string length $line] == 0} {
        continue
    }

    if {[regexp {(^[^: ]+)(:.*$)} $line -> target prereq]} {
        puts $fd {}
        foreach object $OBJECTS {
            if {[string match $target [file tail $object]]} {
                puts -nonewline $fd [set object][set prereq]
                break
            }
        }
    } else {
        puts -nonewline $fd $line
    }
}

puts $fd {}

close $fd

